# Textclass definition file for newbieDoc.
# Author : Chris Lale <chrislale@users.sourceforge.net>
# Version : 0.01, 7 December 2003

# This file contains extra styles for newbieDoc layouts
# eg caution, warning, etc.


#===============================================
# Tip Title
#===============================================
#
# Tip Title style definition
Style TipTitle
  Margin       	Dynamic
  LatexType			Environment
  LatexName			tip
  LatexParam		title
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Tip Title: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End

#===============================================
# Tip
#===============================================
#
# Tip style definition
Style Tip
  Margin       	Dynamic
  LatexType			Environment
  LatexName			tip
  LatexParam		para
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Tip: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End




#===============================================
# Note Title
#===============================================
#
# Note Title style definition
Style NoteTitle
  Margin       	Dynamic
  LatexType			Environment
  LatexName			note
  LatexParam		title
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Note Title: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End

#===============================================
# Note
#===============================================
#
# Note style definition
Style Note
  Margin       	Dynamic
  LatexType			Environment
  LatexName			note
  LatexParam		para
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Note: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End



#===============================================
# Important Title
#===============================================
#
# Important Title style definition
Style ImportantTitle
  Margin       	Dynamic
  LatexType			Environment
  LatexName			important
  LatexParam		title
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Important Title: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End

#===============================================
# Important
#===============================================
#
# Important style definition
Style Important
  Margin       	Dynamic
  LatexType			Environment
  LatexName			important
  LatexParam		para
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Important: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End


#===============================================
# Caution Title
#===============================================
#
# Caution Title style definition
Style CautionTitle
  Margin       	Dynamic
  LatexType			Environment
  LatexName			caution
  LatexParam		title
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Caution Title: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End

#===============================================
# Caution
#===============================================
#
# Caution style definition
Style Caution
  Margin       	Dynamic
  LatexType			Environment
  LatexName			caution
  LatexParam		para
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Caution: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End


#===============================================
# Warning Title
#===============================================
#
# Warning Title style definition
Style WarningTitle
  Margin       	Dynamic
  LatexType			Environment
  LatexName			warning
  LatexParam		title
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Warning Title: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End

#===============================================
# Warning
#===============================================
#
# Warning style definition
Style Warning
  Margin       	Dynamic
  LatexType			Environment
  LatexName			warning
  LatexParam		para
  LeftMargin		MMM
  RightMargin     MMM
  Align				Block
  AlignPossible	Block, Left, Right, Center
  LabelType			Static
  LabelSep			:x
  LabelString		"Warning: "

  # font definitions
  LabelFont
	Shape			Italic
	Series		Bold
	Color			Magenta
  EndFont

  TextFont
	Color		Black
	Shape		Italic
  EndFont
  
End
