# Textclass definition file for newbieDoc.
# Author : Chris Lale <chrislale@users.sourceforge.net>
# Version : 0.01, 7 December 2003

# This file contains extra styles for newbieDoc layouts




#===============================================
# Keyword
#===============================================
#
# Keyword style definition
Style Keyword
  Margin                Dynamic
  LatexType             Paragraph
  InTitle					1
  LatexName             keyword
  NextNoIndent				1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Keyword:"

  LabelFont
	Shape		Italic
	Series		Small
	Color		Magenta
  Size		Small
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End


#===============================================
# Keyword Set
#===============================================
#
# Keyword Set style definition
Style KeywordSet
  Margin                Static
  LatexType             Command
  LatexName             keywordset
  LatexParam		"3|!-- --"
  LabelSep              xxx
  NextNoIndent				1
  LeftMargin		MMMMMMM
  RightMargin           MMM
  ParSkip               0.4
  TopSep                0.9
  BottomSep             0.5
  ParSep                0.5
  Align                 Left
  AlignPossible         Block
  KeepEmpty		 			1

  LabelType					Static
  LabelString           "Keyword set"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  Size		Large
  EndFont
 
End

#===============================================
# Keyword Set
#===============================================
#
# Keyword Set style definition
#Style KeywordSet
#  Margin                Dynamic
#  LatexType             Command
#  InTitle               1
#  LatexName             keywordset
#  LatexParam		"4|keyword"
#  NextNoIndent		1
#  LeftMargin		MMMMMM
#  RightMargin           MMM
#  Align			Block
#  AlignPossible		Block, Left, Right, Center
#  LabelType		Static
#  LabelSep		:x
#  Labelstring		"META keyword:"
#
#  LabelFont
#	Shape		Italic
#	Series		Medium
#	Color		Magenta
#  EndFont

#  TextFont
#	Color		Black
#	Series		Medium
#  Size		Normal
#  EndFont

#End


#===============================================
# Image Data
#===============================================
#
Style ImageData
  Margin                Dynamic
  LatexType             Command
  LatexName             mediaobject
  LatexParam		 	imageobject
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Image Object:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End


#===============================================
# ImageCaption
#===============================================
#
Style ImageCaption
  Margin                Dynamic
  LatexType             Command
  LatexName             caption
  LatexParam		 		5|para
  NextNoIndent		1
End

#===============================================
# ImageObject
#===============================================
#
Style ImageObject
  Margin                Dynamic
  LatexType             Command
  LatexName             imageobject
#  LatexParam		 		para
  LatexParam		"5|!-- --"
  NextNoIndent		1
End


#===============================================
# Media Object
#===============================================
#
# Media Object style definition
Style MediaObject
  Margin                Static
  LatexType             Command
  LatexName             mediaobject
  LatexParam		"4|!-- --"
  LabelType					Static
  LabelString           "Media Object"
LabelSep              xxx
  NextNoIndent		1
  LeftMargin		MMMMMMMMMM
  RightMargin           MMM
  ParSkip               0.4
  TopSep                0.9
#  TopSep                2.0
  BottomSep             0.5
  ParSep                0.5
  Align                 Left
  AlignPossible         Block
  KeepEmpty		1
#  LabelType             Top_Environment

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  Size		Large
  EndFont
End
