# Textclass definition file for newbieDoc.
# Author : Chris Lale <chrislale@users.sourceforge.net>
# Version : 0.01, 7 December 2003

# Based on Textclass definition file for docbook.
# Author : Jos Ablio Oliveira Matos <jamatos@lyx.org>

# This file is the counterpart of stdclass.inc
# It is desireable, as far as possible, to have the same look and feeling for
# related layouts in latex and docbook.


OutputType		docbook

#-----------------------------
# General textclass parameters
#-----------------------------
Columns			1
Sides			1
SecNumDepth		3
TocDepth		3
DefaultStyle		Standard

# This is just to show how to declare the default font.
# The defaults are exactly those shown here.
DefaultFont
  Family		Roman
  Series		Medium
  Shape			Up
  Size			Normal
  Color			None
EndFont

#--------------------------
# Standard style definition
#--------------------------
Style Standard
  Margin  		Static
  LatexType 		Paragraph
  LatexName 		para
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block
  LabelType 		No_Label
End

# Use DocBook standard lists (Itemize, Enumerate, etc).
# Input db_stdlists.inc
Input nd_stdlists.inc

# Use the standard DocBook styles for Section, Subsection, etc.
# and Appendix
Input nd_stdsections.inc

# DocBook starred sections not implemented.
#Input db_stdstarsections.inc

# Use newbieDoc versions of Title, Author, email, Revision, etc.
Input nd_stdtitle.inc

# Use newbieDoc version of Abstract.
Input nd_stdstruct.inc

# Use newbieDoc version of LyX-Code.needed for code
# Comment and LyX-Code (Code)
Input nd_lyxmacros.inc

# Use newbieDoc admonition styles, eg tip, caution, etc
Input nd_admonitions.inc

# Use newbieDoc layout styles, eg SGML, verbatim, quote, caption, screen, xscreen
Input nd_stdlayouts.inc

# Use newbieDoc extra styles, eg screen.
Input nd_extra.inc

# Use Lyx standard counters.
Input stdcounters.inc

# Use Lyx standard floats
#Input stdfloats.inc


# File for testing layouts
Input nd_test.inc
