# Textclass definition file for newbieDoc.
# Author : Chris Lale <chrislale@users.sourceforge.net>
# Version : 0.01, 7 December 2003

# Based on Textclass definition file for docbook.
# Author : Jos Ablio Oliveira Matos <jamatos@lyx.org>

Input db_stdlayouts.inc

#===============================================
# SGML
#===============================================
#
# SGML style definition
Style SGML
  Margin                Static
  LatexType             Paragraph
  LatexName             "!-- --"
  NewLine               0
  ParIndent             MM
  ParSkip               0.4
  ParSep                0.5
  Align                 Left
  AlignPossible         Block
  LabelType             No_Label
  FreeSpacing           1
  PassThru		1


  # standard font definition
  Font 
    Series 		Medium
    Size		Small
	Color		Black
  EndFont

 
End



#===============================================
# Screen
#===============================================
# The following adapted from LyX-Code style definition in lyxmacros.inc
# Screen style definition
Style Screen
  Margin		Static
  LatexType		Environment
  LatexName		screen
  LatexParam		CDATA
#Needed to print special characters eg &dollar, &rcub, etc:
  PassThru		1
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin		MMM
  TopSep		0.5
  BottomSep		0.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		No_Label
#newline generated when return key pressed:
  FreeSpacing 	    	1


  TextFont
	Family 	Typewriter
	Series		Medium
   Size		Small
  EndFont
  
End


#===============================================
# XScreen
#===============================================
# The following adapted from LyX-Code style definition in lyxmacros.inc
# XScreen style definition
Style XScreen
  Margin		Static
  LatexType		Environment
  LatexName		synopsis
  LatexParam		CDATA
#Needed to print special characters eg &dollar, &rcub, etc:
  PassThru		1
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin		MMM
  TopSep		0.5
  BottomSep		0.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		No_Label
#newline generated when return key pressed:
  FreeSpacing 	    	1


  TextFont
	Family 	Sans
	Series		Medium
   Size		Small
  EndFont
  
End





NoStyle Bibliography

