# Textclass definition file for newbieDoc.
# Author : Chris Lale <chrislale@users.sourceforge.net>
# Version : 0.01, 7 December 2003

# Based on Textclass definition file for docbook.
# Author : Jos Ablio Oliveira Matos <jamatos@lyx.org>

# This file is based on db_sections.inc and its counterpart stdsections.inc.
# It is desireable, as far as possible, to have the same look and feeling for
# related layouts in latex and docbook.

Input db_stdsections.inc

#----------------------
# Part style definition
#----------------------
Style Part
  LatexType		Command
  LatexName		part
  LatexParam		"0|"
End

#-------------------------
# Chapter style definition
#-------------------------
#Style Chapter
#  LatexType             Command
#  LatexName             chapter
#  LatexParam		"1|"
#End

#--------------------------
# Appendix style definition
#--------------------------
Style Appendix
  LatexType             Command
  LatexName             appendix
  LatexParam		"1|"

  Font 
    Series 		Bold
    Size			Huge
  EndFont

End

#===============================================
# Style Section (starts at indent "2|")
#===============================================
#
# This just tidies up the Lyx screen font sizes 
Style Section

  Font 
    Series 		Bold
    Size			Largest
  EndFont

End

#===============================================
# Subsection (starts at indent "3|")
#===============================================
#
# This just tidies up the Lyx screen font sizes 
Style Subsection

  Font 
    Series 		Bold
    Size			Larger
  EndFont

End

#===============================================
# Subsubsection (starts at indent "4|")
#===============================================
#
# This just tidies up the Lyx screen font sizes 
Style Subsubsection

  Font 
    Series 		Bold
    Size			Large
  EndFont

End

#===============================================
# Paragraph (starts at indent "5|")
#===============================================
#
# This just tidies up the Lyx screen font sizes 
Style Paragraph
  LeftMargin		MM

  Font 
    Series 		Bold
    Size			Normal
  EndFont

End


#===============================================
# Subparagraph (starts at indent "6|")
#===============================================
#
# This just tidies up the Lyx screen font sizes 
Style Subparagraph
  LeftMargin		MMMM

  Font 
    Series 		Bold
    Size			Small
  EndFont

End

