# Textclass definition file for newbieDoc.
# Author : Chris Lale <chrislale@users.sourceforge.net>
# Version : 0.01, 7 December 2003

# Based on Textclass definition file for docbook.
# Author : Jos Ablio Oliveira Matos <jamatos@lyx.org>

# This file is the counterpart of stdtitle.inc
# It is desireable, as far as possible, to have the same look and feeling for
# related layouts in latex and docbook.
Input db_stdtitle.inc

#Firstname and Surname provide Author
NoStyle Author
# Avoid a second, different copy from db_stdtitle
NoStyle FirstName
NoStyle Surname

#===============================================
# PageHeader
#===============================================
#
# From RevisionRemark style definition

Style PageHeader

  Margin                Dynamic
#  Margin                Static
  LatexType             Paragraph
  InTitle               1
  LatexName             title
#  NextNoIndent		1
  LeftMargin		MMMMMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static

  LabelSep		:x
  Labelstring		"Page header:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  EndFont

  TextFont
	Color		Black
	Series		Normal
  Size		Normal
  EndFont
 
End



#===============================================
# Title
#===============================================
#
# Title style definition from db_stdtitle.inc
Style Title
  LatexType		Command
  LatexName		articleinfo
  LatexParam		"2|"
  Margin                Dynamic
  NextNoIndent		1
  LeftMargin		MMMMMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Title:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
   Size		Normal
  EndFont

  TextFont
	Color		Black
	Series		Bold
  Size		Largest
  EndFont

End




#===============================================
# Firstname
#===============================================
#
# Adapted from Revision style definition
Style Firstname
  Margin                Dynamic
  LatexType             Command
  InTitle               1
  LatexName             author
  LatexParam		"4|firstname"
  NextNoIndent		1
  LeftMargin		MMMMMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Author's first name:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End


#===============================================
# Surname
#===============================================

# Adapted from RevisionRemark style definition
Style Surname
  Margin                Dynamic
  LatexType             Paragraph
  InTitle               1
  LatexName             surname
  NextNoIndent		1
  LeftMargin		MMMMMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Author's surname:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End


#===============================================
# Affiliation
#===============================================
#
# Affiliation style definition
Style Affiliation
  Margin                Dynamic
  LatexType             Command
  LatexName             affiliation
  LatexParam		"5|!-- --"
  LabelSep              xxx
  TopSep                0.9
  BottomSep             0.5
  ParSep                0.5
  Align                 Block
  AlignPossible         Block
  KeepEmpty		1
  LabelType					Static
  LabelString           "Affiliation, address"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  Size		Large
  EndFont

End


#===============================================
# Email
#===============================================
#
# Email style definition
Style Email
  Margin                Dynamic
  LatexType             Command
  LatexName             address
  LatexParam		 "6|email"
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Author's email:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End



#===============================================
# Revision
#===============================================
#
# Revision style definition
Style Revision

  Margin                Dynamic
  LatexType             Command
  LatexName             revision
  LatexParam		"4|revnumber"
    NextNoIndent		1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Revision (number):"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  Size		Large
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End



#===============================================
# Date
#===============================================
#
# Date style definition
Style Date
  Margin                Dynamic
  LatexType		Paragraph
  LatexName		date
  TopSep                0.0
  BottomSep             0.0
# KeepEmpty		1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Revision date:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
   Size		Normal
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End






#===============================================
# Initials
#===============================================
#
# Initials style definition
Style Initials
  Margin                Dynamic
  LatexType             Paragraph
  InTitle               1
  LatexName             authorinitials
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Reviser's initials:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  Size		Normal
  EndFont

  TextFont
	Color		Black
	Series		Medium
   Size		Normal
  EndFont
 
End


#===============================================
# Revision Remark
#===============================================
#
# RevisionRemark style definition

Style RevisionRemark
  Margin                Dynamic
  LatexType             Paragraph
  InTitle               1
  LatexName             revremark
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin           MMM
    BottomSep             1
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Revision remark:"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  EndFont

  TextFont
	Color		Black
	Series		Medium
  Size		Normal
  EndFont

End


#===============================================
# Revision History
#===============================================
#
# Revision History style definition
Style RevisionHistory
  Margin                Static
  LatexType             Command
  LatexName             revhistory
  LatexParam		"3|!-- --"
  LabelSep              xxx
  NextNoIndent				1
  LeftMargin		MMMMMMMMMM
  RightMargin           MMM
  ParSkip               0.4
  TopSep                0.9
  BottomSep             0.5
  ParSep                0.5
  Align                 Left
  AlignPossible         Block
  KeepEmpty		 			1

  LabelType					Static
  LabelString           "Revision history"

  LabelFont
	Shape		Italic
	Series		Medium
	Color		Magenta
  Size		Large
  EndFont
 
End
